## hexalate 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16.0)

# Configure project
project(hexalate VERSION 1.2.0 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools Widgets)
if(UNIX AND NOT APPLE)
	include(GNUInstallDirs)
endif()

add_compile_definitions(
	QT_STRICT_ITERATORS
	QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
	QT_DISABLE_DEPRECATED_BEFORE=0x060000
)

# Create translations
file(GLOB translations_SRCS translations/*.ts)
qt6_add_translation(translations_QM ${translations_SRCS})

add_custom_target(update_translations
	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	VERBATIM
)

# Create program
qt6_add_executable(hexalate
	src/board.cpp
	src/locale_dialog.cpp
	src/main.cpp
	src/piece.cpp
	src/puzzle.cpp
	src/window.cpp
	${translations_QM}
)

target_link_libraries(hexalate PRIVATE
	Qt6::Core
	Qt6::Gui
	Qt6::Widgets
)

target_compile_definitions(hexalate PRIVATE VERSIONSTR="${PROJECT_VERSION}")

# Install
if(UNIX AND NOT APPLE)
	target_sources(hexalate PRIVATE icons/icon.qrc)

	install(TARGETS hexalate RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/hexalate/translations)
	install(FILES doc/hexalate.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
	install(FILES icons/hexalate.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
	install(FILES icons/hexalate.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
elseif(WIN32)
	# Use Qt6 macro until CMake provides something
	# https://bugreports.qt.io/browse/QTBUG-87618
	set_target_properties(hexalate PROPERTIES
		WIN32_EXECUTABLE TRUE
		QT_TARGET_VERSION "${PROJECT_VERSION}"
		QT_TARGET_COMPANY_NAME "Graeme Gott"
		QT_TARGET_DESCRIPTION "Color matching game"
		QT_TARGET_COPYRIGHT "Copyright (C) 2021 Graeme Gott"
		QT_TARGET_PRODUCT_NAME "Hexalate"
		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/hexalate.ico
	)
	_qt_internal_generate_win32_rc_file(hexalate)
endif()

## hexalate 1.0.1

=== debian/changelog ===
hexalate (1.0.1-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/hexalate.6, debian/manpages: Added.  Closes: #584803.

 -- Bart Martens <bartm@debian.org>  Fri, 26 Aug 2011 21:22:24 +0000

hexalate (1.0.1-2) unstable; urgency=low

  * Build-Conflicts: qt3-dev-tools.  Closes: #565912.

 -- Bart Martens <bartm@debian.org>  Mon, 01 Feb 2010 19:32:24 +0100

hexalate (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sun, 10 Jan 2010 14:48:03 +0100

hexalate (1.0.0-1) unstable; urgency=low

  * Initial package in Debian.  Closes: #530533.

 -- Bart Martens <bartm@debian.org>  Mon, 25 May 2009 13:18:52 +0200

=== debian/control ===
Source: hexalate
Section: games
Priority: optional
Maintainer: Bart Martens <bartm@debian.org>
Build-Depends: debhelper (>= 8.0.0), libqt4-dev, qt4-qmake, imagemagick
Build-Conflicts: qt3-dev-tools
Standards-Version: 3.9.2
Homepage: http://gottcode.org/hexalate/

Package: hexalate
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Color matching puzzle
 Hexalate is a color matching game. The goal of the game is to rotate and
 position the circles so that each touching line matches in color. You rotate
 circles by right clicking, and you move circles by dragging them. The game
 stores the positions and rotations of the circles across runs.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

override_dh_install: icons/hexalate.xpm
	dh_install

override_dh_clean:
	dh_clean
	rm -f icons/hexalate.xpm

icons/hexalate.xpm:
	convert -resize 32x32 icons/hexalate.png icons/hexalate.xpm

## hexalate 1.0.2

=== debian/changelog ===
hexalate (1.0.2-1) unstable; urgency=low

  * QA upload, orphaning this package.
  * New upstream release.

 -- Bart Martens <bartm@debian.org>  Sun, 21 Jul 2013 18:50:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: hexalate
 Section: games
 Priority: optional
-Maintainer: Bart Martens <bartm@debian.org>
-Build-Depends: debhelper (>= 8.0.0), libqt4-dev, qt4-qmake, imagemagick
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 9), libqt4-dev, qt4-qmake
 Build-Conflicts: qt3-dev-tools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://gottcode.org/hexalate/
 
 Package: hexalate

=== debian/watch ===
version=3
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre-rc\d+|pre\d+a?)$/$1~$2/;s/[\-\.](source|Source|src|orig|unix)$//;s/-(bin|osx)$/~$1/;s/^v(\d)/$1/;" \
http://gottcode.org/hexalate/ .*hexalate-(v?[\d\.]+(?:rc|rc\d+|pre-rc\d+|-unix|-source|-Source|-src|\.src|\.orig|[a-z]|b\d+|beta\d+-src|beta\d+)?)\.(?:tar\.gz|tgz|tar\.bz2|zip|pm\.gz|jar|shar\.gz|shar\.Z)

## hexalate 1.0.3

=== debian/changelog ===
hexalate (1.0.3-2) unstable; urgency=medium

  [ Vincent Cheng ]
  * Fix missing-license-paragraph-in-dep5-copyright

  [ Dariusz Dwornikowski ]
  * d/control: 
    - qt5-default removed, added qtbase5-dev
    - bump standards to 3.9.6, no changes needed
  * d/rules:
    - export QT_SELECT=5 added in d/rules
    - --parallel build added
  * Add Keywords to desktop file
  * Wrap-and-sort on d/* manpage updated
  * d/gdp.conf added

 -- Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>  Mon, 23 Mar 2015 08:38:39 +0100

hexalate (1.0.3-1) unstable; urgency=low

  [ Jackson Doak ]
  * New upstream release
  * debian/control:
    - Adopt package (Closes: #737295)
    - Use Qt5 Build dependencies
    - Bump standards-version to 3.9.5
  * Use DEP5 copyright
  * Drop debian/patches/, it's easier to fix this in debian/rules

  [ Dariusz Dwornikowski ]
  * Better manpage created
  * --parallel added to dh
  * patch to add Keywords to .desktop file
  * wrap-and-sort on d/*

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 22 Mar 2014 09:51:26 +1100

=== debian/control ===
Source: hexalate
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jackson Doak <noskcaj@ubuntu.com>,
           Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Build-Depends: debhelper (>= 9),
               qtbase5-dev,
               pkg-config
Standards-Version: 3.9.6
Homepage: http://gottcode.org/hexalate/
Vcs-Git: git://anonscm.debian.org/pkg-games/hexalate.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/hexalate.git

Package: hexalate
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Color matching puzzle
 Hexalate is a color matching game. The goal of the game is to rotate and
 position the circles so that each touching line matches in color. You rotate
 circles by right clicking, and you move circles by dragging them. The game
 stores the positions and rotations of the circles across runs.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- BINDIR=games

=== debian/watch ===
version=3
https://github.com/gottcode/hexalate/releases \
.*[^n]/(?:|v|r|REL_|rel-|hexalate(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## hexalate 1.1.1

=== debian/changelog ===
hexalate (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.1
    - Refresh patch.
  * Update Standards-Version to 4.1.0.
  * d/compat, d/control: Bump dh compat to 10.
  * d/control, d/copyright, d/hexalate.6: Use https where possible.
  * d/control:
    - Use canonical Vcs-* fields.
    - Build-depend on qttools5-dev-tools.
  * d/copyright: Update years.
  * d/menu: Drop as per policy, we have a desktop file.
  * d/rules:
    - Append LDFLAGS to link only as needed.
    - Drop --parallel as this is default with compat 10.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 13 Sep 2017 10:20:06 -0400

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jackson Doak <noskcaj@ubuntu.com>,
            Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
+               pkg-config,
                qtbase5-dev,
-               pkg-config
-Standards-Version: 3.9.6
-Homepage: http://gottcode.org/hexalate/
-Vcs-Git: git://anonscm.debian.org/pkg-games/hexalate.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/hexalate.git
+               qttools5-dev-tools
+Standards-Version: 4.1.0
+Homepage: https://gottcode.org/hexalate/
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/hexalate.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-games/hexalate.git
 
 Package: hexalate
 Architecture: any

## hexalate 1.1.2

=== debian/changelog ===
hexalate (1.1.2-1) unstable; urgency=medium

  [ Unit 193 ]
  * Team upload.
  * New upstream version 1.1.2.
  * Update Standards-Version to 4.1.3.

  [ Markus Koschany ]
  * Use compat level 11.

 -- Markus Koschany <apo@debian.org>  Wed, 17 Jan 2018 15:42:03 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jackson Doak <noskcaj@ubuntu.com>,
            Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                pkg-config,
                qtbase5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Homepage: https://gottcode.org/hexalate/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/hexalate.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-games/hexalate.git

## hexalate 1.1.4

=== debian/changelog ===
hexalate (1.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.4.
  * Declare compliance with Debian Policy 4.1.5.
  * Drop add-keywords-to-desktop.patch. Applied upstream.

 -- Markus Koschany <apo@debian.org>  Sun, 29 Jul 2018 07:43:23 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                pkg-config,
                qtbase5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://gottcode.org/hexalate/
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/hexalate.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-games/hexalate.git

## hexalate 1.1.5

=== debian/changelog ===
hexalate (1.1.5-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:05 +0100

hexalate (1.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.5
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 12.
  * d/control:
    - Update Vcs-* fields for Salsa.
    - Set R³ to no.
  * d/hexalate.6, d/manpages: Drop in favor of upstream's.
  * Update Standards-Version to 4.4.0.

 -- Unit 193 <unit193@ubuntu.com>  Thu, 08 Aug 2019 03:12:03 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jackson Doak <noskcaj@ubuntu.com>,
            Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                pkg-config,
                qtbase5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Homepage: https://gottcode.org/hexalate/
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/hexalate.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-games/hexalate.git
+Vcs-Git: https://salsa.debian.org/games-team/hexalate.git
+Vcs-Browser: https://salsa.debian.org/games-team/hexalate
 
 Package: hexalate
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export QT_SELECT=5

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- BINDIR=games

## hexalate 1.1.6

=== debian/changelog ===
hexalate (1.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.1.6.
  * Declare compliance with Debian Policy 4.5.0.
  * Switch to debhelper-compat = 13.

 -- Markus Koschany <apo@debian.org>  Sat, 30 May 2020 00:46:24 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jackson Doak <noskcaj@ubuntu.com>,
            Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                pkg-config,
                qtbase5-dev,
                qttools5-dev-tools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/hexalate/
 Vcs-Git: https://salsa.debian.org/games-team/hexalate.git

## hexalate 1.2.0

=== debian/changelog ===
hexalate (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.0.
  * Declare compliance with Debian Policy 4.6.0.
  * No longer install the xpm icon because it was removed upstream.

 -- Markus Koschany <apo@debian.org>  Wed, 08 Sep 2021 23:49:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                pkg-config,
                qtbase5-dev,
                qttools5-dev-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/hexalate/
 Vcs-Git: https://salsa.debian.org/games-team/hexalate.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export QT_SELECT=5
 
 %:
-	dh $@
+	dh $@ --buildsystem=qmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- BINDIR=games

## hexalate 1.2.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021-2023 Graeme Gott <graeme@gottcode.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

# Configure project
project(hexalate VERSION 1.2.2 LANGUAGES CXX)

set(project_copyright "2009-2023 Graeme Gott")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui LinguistTools Widgets)
include(GNUInstallDirs)

add_compile_definitions(
	QT_NO_KEYWORDS
	$<$<CONFIG:DEBUG>:QT_STRICT_ITERATORS>
	$<$<CONFIG:DEBUG>:QT_NO_NARROWING_CONVERSIONS_IN_CONNECT>
	$<$<CONFIG:DEBUG>:QT_DISABLE_DEPRECATED_BEFORE=0x060400>
)

# Version number
include(cmake/AddVersionCompileDefinition.cmake)
add_version_compile_definition(src/main.cpp VERSIONSTR)

# Create translations
file(GLOB translations_SRCS translations/*.ts)
qt6_add_translation(translations_QM ${translations_SRCS})

add_custom_target(update_translations
	COMMAND Qt6::lupdate -no-obsolete -locations none src -ts ${translations_SRCS}
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
	VERBATIM
)

# Create program
qt6_add_executable(hexalate
	src/board.cpp
	src/locale_dialog.cpp
	src/main.cpp
	src/piece.cpp
	src/puzzle.cpp
	src/window.cpp
	${translations_QM}
)

target_link_libraries(hexalate PRIVATE
	Qt6::Core
	Qt6::Gui
	Qt6::Widgets
)

# Optimize build
option(ENABLE_LINK_TIME_OPTIMIZATION "Enable link time optimization" OFF)
if(ENABLE_LINK_TIME_OPTIMIZATION)
	include(CheckIPOSupported)
	check_ipo_supported(RESULT result)
	if(result)
		set_target_properties(hexalate PROPERTIES INTERPROCEDURAL_OPTIMIZATION TRUE)
	endif()
endif()

option(ENABLE_STRIP "Enable automatic stripping of builds" OFF)
if(ENABLE_STRIP)
	add_custom_command(TARGET hexalate
		POST_BUILD
		COMMAND ${CMAKE_STRIP} $<TARGET_FILE:hexalate>
	)
endif()

# Install
if(APPLE)
	set(datadir "../Resources")

	set_target_properties(hexalate PROPERTIES
		OUTPUT_NAME Hexalate
		MACOSX_BUNDLE TRUE
		MACOSX_BUNDLE_INFO_PLIST ${CMAKE_SOURCE_DIR}/mac/Info.plist.in
	)

	include(cmake/BundleResources.cmake)
	bundle_data(hexalate ${CMAKE_SOURCE_DIR}/icons/hexalate.icns Resources)
	bundle_translations(hexalate "${translations_QM}")
elseif(WIN32)
	set(datadir ".")

	# Use Qt6 macro until CMake provides something
	# https://bugreports.qt.io/browse/QTBUG-87618
	set_target_properties(hexalate PROPERTIES
		OUTPUT_NAME Hexalate
		WIN32_EXECUTABLE TRUE
		QT_TARGET_VERSION "${PROJECT_VERSION}"
		QT_TARGET_COMPANY_NAME "Graeme Gott"
		QT_TARGET_DESCRIPTION "Color matching game"
		QT_TARGET_COPYRIGHT "\\xA9 ${project_copyright}"
		QT_TARGET_PRODUCT_NAME "Hexalate"
		QT_TARGET_RC_ICONS ${CMAKE_SOURCE_DIR}/icons/hexalate.ico
	)
	_qt_internal_generate_win32_rc_file(hexalate)
else()
	file(RELATIVE_PATH datadir ${CMAKE_INSTALL_FULL_BINDIR} ${CMAKE_INSTALL_FULL_DATADIR}/hexalate)

	target_sources(hexalate PRIVATE icons/icon.qrc)

	install(TARGETS hexalate RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
	install(FILES ${translations_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/hexalate/translations)
	install(FILES doc/hexalate.6 DESTINATION ${CMAKE_INSTALL_MANDIR}/man6 COMPONENT doc)
	install(DIRECTORY icons/hicolor DESTINATION ${CMAKE_INSTALL_DATADIR}/icons)
	install(FILES icons/hexalate.appdata.xml DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
	install(FILES icons/hexalate.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
endif()

set_property(SOURCE src/main.cpp APPEND PROPERTY COMPILE_DEFINITIONS HEXALATE_DATADIR="${datadir}")

=== debian/changelog ===
hexalate (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.2
  * upstream switched to Qt6
  * switch to cmake for build, qmake is deprecated

  [ Reiner Herrmann ]
  * Fix watch file and update to version 4

  [ Janitor ]
  * Update standards version to 4.6.2, no more changes needed.
  * add upstream metadata

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Dec 2023 23:15:38 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Jackson Doak <noskcaj@ubuntu.com>,
            Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
 Build-Depends: debhelper-compat (= 13),
-               pkg-config,
-               qtbase5-dev,
-               qttools5-dev-tools
-Standards-Version: 4.6.0
+               cmake,
+               pkgconf,
+               qt6-base-dev,
+               qt6-tools-dev,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gottcode.org/hexalate/
 Vcs-Git: https://salsa.debian.org/games-team/hexalate.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_BINDIR=/usr/games/

## hexalate 1.2.5

=== debian/changelog ===
hexalate (1.2.5-1) unstable; urgency=medium

  * Team Upload
  * Fix Salsa BLHC job

  [ Patrice Duroux ]
  * d/watch: version 5
  * New upstream version 1.2.5
  * d/control: remove RRR: no (default)
  * d/control: switch to SV 4.7.2.
  * d/copyright: bump year.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 02 Jan 2026 14:37:35 +0100

=== debian/control ===
Source: hexalate
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Jackson Doak <noskcaj@ubuntu.com>,
 Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkgconf,
 qt6-base-dev,
 qt6-tools-dev,
Standards-Version: 4.7.2
Homepage: https://gottcode.org/hexalate/
Vcs-Git: https://salsa.debian.org/games-team/hexalate.git
Vcs-Browser: https://salsa.debian.org/games-team/hexalate

Package: hexalate
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Color matching puzzle
 Hexalate is a color matching game. The goal of the game is to rotate and
 position the circles so that each touching line matches in color. You rotate
 circles by right clicking, and you move circles by dragging them. The game
 stores the positions and rotations of the circles across runs.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@

=== debian/watch ===
Version: 5

Template: GitHub
Owner: gottcode
Project: hexalate
